//-------------------------------------------------------------------------------
// Module:  eclevent.hpp
//-------------------------------------------------------------------------------
//
// Description:  ECLEvent classes header file.
//
//-------------------------------------------------------------------------------
// Copyright Notice: IBM Personal Communication/3270 Version 4.3
//                   (C) COPYRIGHT IBM CORP. 1989,1998 - PROGRAM PROPERTY
//                   OF IBM ALL RIGHTS RESERVED
//-------------------------------------------------------------------------------

#include "eclall.hpp"
#ifndef _ECLEVENT_HPP_
#define _ECLEVENT_HPP_

class ECLEventData;
class DllExport ECLEvent: public ECLBase
{

  private: // Class private data
    ECLEventData *pd;

  private: // Constructors and operators not allowed on this object
    ECLEvent();
    ECLEvent(void *);
    ECLEvent(const ECLEvent &From);
    ECLEvent& operator= (const ECLEvent &From);

  public:

    ~ECLEvent();                 // Destructor          

    void *      GetSource();

};

typedef ECLEvent * PECLEvent;

#endif //_ECLEVENT_HPP_
